Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 01-04-2019 19:17:13

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (future stable)
Noyau : Linux -5.10.0-7-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

--gilles-- a écrit :

Quelles seraient vos solutions astucieuses pour aider les développeurs du source de synaptic, ceci afin de pouvoir à l'avenir toujours l'utiliser ?



déjà le debugger aussi sérieusement que la distrib'

et ensuite assurer sa compatibilité avec wayland  ...

ce sera déjà pas mal ...

Hors ligne

#27 01-04-2019 19:30:24

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

Grompf a écrit :

Ensuite, il me semble que Synaptic avait déjà causé des soucis lors du passage à Stretch. Ou alors est-ce que ça concernait toutes les interfaces graphiques du même genre ? Mais il me semble que si on modifiait les sources (par exemple un simple changement de miroir) avec Synaptic, on avait ensuite des message d'erreur ? Est-ce que ça dit qqch à qqn ?


ça me dit effectivement quelque chose smile
Mais ce bug n’est absolument pas dû à Synaptic. On le trouve « par défaut » sur Gnome et KDE mais pas sur Mate ou Xfce par exemple car le responsable c’est le paquet software-properties-* qui n’est pas une dépendance de Synaptic. Les deux derniers bureaux cités n’ont pas le bug car ce paquet n’est pas installé.
Quant à l’installation d’un paquet backports, c’est possible mais il faut aller modifier les réglages des priorités pour que les dépendances soient bien gérées ce qui fait que la commande est plus simple pour le coup tongue

Le problème me semble très lié à wayland mais j’imagine que ça  boostera ceux qui font pour que le paquet reprenne sa place. Et s’il n’y a pas repreneurs pour la maintenance du paquet, il faudra faire autrement wink

Hors ligne

#28 01-04-2019 19:34:09

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (future stable)
Noyau : Linux -5.10.0-7-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

de mémoire , il me semblait que gnome-wayland  donnait un utilitaire d'installation de paquets qui pouvait remplacer synaptic ...

mais je ne l'ai pas retrouvé .

m'a trompé ???

Hors ligne

#29 01-04-2019 19:35:12

Grompf
Adhérent(e)
Distrib. : Debian Buster Cinnamon
Noyau : Linux 4.19.0-6-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

--gilles-- a écrit :

Quelles seraient vos solutions astucieuses pour aider les développeurs du source de synaptic, ceci afin de pouvoir à l'avenir toujours l'utiliser ?



Étant moi-même dépourvu de connaissances techniques, pour moi mon apport se limitera à donner des sous au projet Debian. Mais je n'ai pas le contrôle pour savoir si ces sous seront utilisés de telle ou telle façon.
L'idée de la cagnotte, je ne sais pas. Je ne connais pas le fonctionnement d'une distribution et je ne comprends pas très, très bien ces histoires de maintenance.
Pour quoi pas donner spécifiquement pour ce paquet-là ?

Ceci dit, il me semble qu'on touche-là au coeur de système. Il ne s'agit pas de soutenir un truc très particulier, du genre le portage sur une plate-forme un peu exotique, ou un logiciel de production précis, ou l'amélioration de l'esthétique. On parle de la gestion des paquets. Si au sein du projet Debian ils ne mettent pas la priorité là-dessus, je ne sais pas quoi dire.


CONFIGURATION :
1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) -  Kubuntu
2. Lenovo Thinkpad T550 i5 - carte graphique : Intel Corporation (HD Graphics 5500) - Kubuntu LTS
3. Lenovo Thinkpad X230 i5 - carte graphique Intel Corporation - Debian KDE (stable)

Hors ligne

#30 03-04-2019 11:31:04

d33p
Membre
Lieu : Cantal
Distrib. : Debian buster 64bits
Noyau : Linux 4.19.0-8-amd64
(G)UI : GNOME, branches stables
Inscription : 01-12-2015

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

Hello,

ici ils en parlent aussi entre autres.
https://wiki.ubuntu.com/Wayland/gks
https://bugs.launchpad.net/ubuntu/+sour … ug/1731324
http://frederic.bezies.free.fr/blog/?p=18703
de mon côté je reste avec x11 pour le moment et pas wayland car même mon plank ne se lance pas avec wayland en démarrage auto...

JC

science sans conscience n'est que ruine de l'âme...

Hors ligne

#31 03-04-2019 12:04:50

zorzi
Membre
Lieu : Dijon
Distrib. : Debian Stable Xfce
Noyau : Linux 4.19
Inscription : 30-09-2015

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

Si le problème est spécifique à Wayland, faut-il vraiment supprimer Synaptic des dépôts Buster au mépris des autres DE (Xfce, Mate) ?

Peu d'alternatives hormis Gnome Software qui est une vraie usine à gaz, ou bien se tourner vers KDE avec un équivalent du genre Muon ou Apper...

Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon R7-240, Ram 4 Go, DD 500 Go) / Debian Buster XFCE

Hors ligne

#32 03-04-2019 13:29:29

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian
Noyau : Dur
(G)UI : gui gui, je zuis un doiseau
Inscription : 07-07-2008
Site Web

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

@zorzi: Buster n'est pas encore stable, la liste des paquets qu'elle contiendra n'est pas encore figée. smile Le meilleur moyen de faire rentrer à nouveau synaptic dans buster, c'est de corriger le bug ou en tout cas empêcher le crash actuel.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.
Je suis parrain linux !

Hors ligne

#33 03-04-2019 13:51:54

Grompf
Adhérent(e)
Distrib. : Debian Buster Cinnamon
Noyau : Linux 4.19.0-6-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

zorzi a écrit :

Si le problème est spécifique à Wayland, faut-il vraiment supprimer Synaptic des dépôts Buster au mépris des autres DE (Xfce, Mate) ?

Peu d'alternatives hormis Gnome Software qui est une vraie usine à gaz, ou bien se tourner vers KDE avec un équivalent du genre Muon ou Apper...



Comme alternative, y'a ça :
https://packages.debian.org/fr/buster/gnome-packagekit

Moins complet que Synaptic.


CONFIGURATION :
1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) -  Kubuntu
2. Lenovo Thinkpad T550 i5 - carte graphique : Intel Corporation (HD Graphics 5500) - Kubuntu LTS
3. Lenovo Thinkpad X230 i5 - carte graphique Intel Corporation - Debian KDE (stable)

Hors ligne

#34 03-04-2019 14:49:58

--gilles--
Membre
Lieu : Orléans - La Source
Distrib. : debian 11
Noyau : Linux 5.10.0-7-amd64
(G)UI : mutter 3.38.4-1
Inscription : 15-02-2016

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

zorzi a écrit :

Si le problème est spécifique à Wayland, faut-il vraiment supprimer Synaptic des dépôts Buster au mépris des autres DE (Xfce, Mate) ?

Peu d'alternatives hormis Gnome Software qui est une vraie usine à gaz, ou bien se tourner vers KDE avec un équivalent du genre Muon ou Apper...




Bonjour zorzi, je suis d'accord, garder synaptic est plus respectueux de tous les utilisateurs et c'est pourquoi j'ai lancé le fil, mais comme le développement de ce logiciel est l'arrêt depuis trop longtemps, il faut bien comprendre que pour le garder, il faut le tourner vers l'avenir et le respect des règles actuelles de Debian, donc donner un coup de pouce soit en développement soi-même ou en financement du développement.

C'est pourquoi je pense qu'à plusieurs personnes qui donnerait avec un financement participatif il serait possible d'assurer l'avenir de synaptic.

Grompf a écrit :

Comme alternative, y'a ça :
https://packages.debian.org/fr/buster/gnome-packagekit

Moins complet que Synaptic.

Je viens de l'installer, oui, nettement moins complet, on ne peut pas avoir certains tris comme avec Synaptic. Il est dur à trouver dans Activités ( peut-être que j'aurais du redémarrer ? ). ( Je viens de le trouver, il s'appelle Gnome Paquets ! ) Il ne démarre pas en console.

gnome-packagekit

bash: gnome-packagekit : commande introuvable



En plus j'ai réussi à le faire planter en le laissant ouvert pour visualiser des paquets que je venais d'installer avec lui tout en supprimant tout de suite après les mêmes paquets au terminal sans que le terminal ne m'avertisse qu'un gestionnaire de paquets était ouvert ! ( Phrase modifiée pour mieux correspondre à la réalité )

Je vais supprimer ce gnome-packagekit ! Il faut trouver un moyen de tourner synaptic vers l'avenir.

Dernière modification par --gilles-- (03-04-2019 15:18:31)


Nos vies commencent à prendre fin le jour où nous devenons silencieux à propos des choses qui comptent. Martin Luther King

Hors ligne

#35 03-04-2019 15:36:15

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

Bonjour
pas trouvé d' équivalent  a synaptic , il existe depuis 2001 roll et depuis il a reçu que très peu de modifications , la dernière  en 2018 placé "recherche" a droite .
j'ai ouvert le synaptic.deb , c'est un gros morceau .

gnome-software et gnome-packagekit , c'est pas du tout l'équivalent et le ce genre de programme ne me plaît pas du tout.

je ne connais pas comment fabriquer un .deb avec des binaires ( et un code source ) , mais a mon avis plus personnes ne connaît ce paquet .
peut être commencer par ce renseigner sur qui serait disponible pour ce travail et avec les compétences.

je suis par contre , pour une participation pécuniaire si nécessaire .

par contre sur gnome et wayland , synaptic ne crache pas , juste il ne démarre pas (ni en console , ni a partir du menu ) sur stretch ou buster.
il fonctionne encore très bien sur X  (buster compris ) , je l'utilise tous les jours .

mais je comprends que debian le retire de la future stable .
normalement un paquet qui a été refusé (et retiré ) n'a aucune chance d'être remit sur buster (voir les modalités du gel de buster ). (pour la remarque du #32 )

personne ne connaît du monde chez debian pour poser des questions sur ce paquet ?

ps: comme c'est le printemps tongue  , je nettoie selon ce fil => https://debian-facile.org/viewtopic.php?id=24037  avec synaptic ( possible en console ) toutes mes machines (stretch et buster)
personnelle sa disparition me fait pas plaisir du tout   hmm

Dernière modification par robert2a (03-04-2019 15:43:11)

Hors ligne

#36 04-04-2019 04:51:18

d33p
Membre
Lieu : Cantal
Distrib. : Debian buster 64bits
Noyau : Linux 4.19.0-8-amd64
(G)UI : GNOME, branches stables
Inscription : 01-12-2015

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

Hello,

Je me demandais...
Et en solution de contournement, pas très "propre", lancer synaptic avec x11 dans un container docker par exemple?
ça pourrait le faire non?

JC

science sans conscience n'est que ruine de l'âme...

Hors ligne

#37 04-04-2019 09:24:10

bendia
Chadministrateur
Distrib. : openSUSE Tumbleweed, Buster
Noyau : Linux 5.9.1-2-default + Linux 4.19.0-12-amd64
(G)UI : Gnome + Console et un peu Fluxbox
Inscription : 20-03-2012
Site Web

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

d33p a écrit :

ça pourrait le faire non?

non, parce-que tu aurais accès aux sources du container, et pas se la machine hôte wink


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.

En ligne

#38 04-04-2019 15:47:12

d33p
Membre
Lieu : Cantal
Distrib. : Debian buster 64bits
Noyau : Linux 4.19.0-8-amd64
(G)UI : GNOME, branches stables
Inscription : 01-12-2015

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

tongue
ah ouais, je devrais pas poster la nuit en fait. ^^

science sans conscience n'est que ruine de l'âme...

Hors ligne

#39 04-04-2019 17:57:18

Grompf
Adhérent(e)
Distrib. : Debian Buster Cinnamon
Noyau : Linux 4.19.0-6-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

Tant qu'à faire un truc un peu "sale", pourquoi ne pas simplement rajouter le paquet depuis les dépôts Sid ?
Mais bon, pour les utilisateurs de GNOME ça ne résoud rien...

Dernière modification par Grompf (04-04-2019 17:58:35)


CONFIGURATION :
1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) -  Kubuntu
2. Lenovo Thinkpad T550 i5 - carte graphique : Intel Corporation (HD Graphics 5500) - Kubuntu LTS
3. Lenovo Thinkpad X230 i5 - carte graphique Intel Corporation - Debian KDE (stable)

Hors ligne

#40 04-04-2019 18:15:23

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

Est-ce que les utilisateurs de Gnome ajoutaient Synaptic sur stretch ?
Il me semble qu’il y a le logiciel graphique pour gérer les dépôts (qui pose qq soucis d’ailleurs, je ne sais pas si ça sera pareil pour Buster) un logiciel Gnome-softwares pour les logiciels.
La notification des mises à jour plus le paquet unattended-upgrade qui fait les mises à jour de sécurité en arrière plan automatiquement.
Le débutant a déjà pas mal de choses, pas toutes encore très au point comme le bug des dépôts ou le manque d’une notification lisible lorsque une maj de sécurité se fait et qu’il n’y a pas de notification expliquant pourquoi tu ne peux pas installer un logiciel. Pour ce dernier point, je l’ai observé sur un autre DE que Gnome. Sur Gnome il y en a peut-être une tongue

Hors ligne

#41 04-04-2019 20:09:15

Grompf
Adhérent(e)
Distrib. : Debian Buster Cinnamon
Noyau : Linux 4.19.0-6-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

Les logiciels graphiques pour gérer les logithèques... Tout un poème.
Avec Gnome, en plus de Gnome-Softwares, on peut avoir Gnome-Paquets ("gnome-packagekit") sensé gérer les paquets... Sauf que ça ne vaut pas Synaptic. Et --gilles--, qui en parle plus haut, n'est que moyennement convaincu.
Gnome-Softwares, j'avais testé la version Buster en essayant la Emmabuntüs 3, et il me semble que ce n'était pas encore au point (mais ça s'est peut-être arrangé depuis).

Je pourrais vous causer des petits essais que j'ai faits, par curiosité, en machine virtuelle, avec Ubuntu-Mate 19.04, distro pourvue de "Software-Boutique", une logithèque installée sous forme de paquets Snap... et qui ne fonctionne pas à 2 semaines de la sortie de cette version ! Mais ce serait dévier du sujet initial.
Quoique...
À l'époque de Jessie, j'avais installé Debian KDE sur un de mes PC et je me souviens d'avoir eu des soucis avec Apper. En fait je n'étais pas sûr à 100% que le problème venait précisément d'Apper. Par contre je me souviens de certains utilisateurs m'assuraient que ce logiciel était réputé pour être une "bouse".
Avec Synaptic sur le point d'être mis au placard, il faut admettre qu'il y a un souci avec les gestionnaires graphiques de logiciels dans le monde Debian...

CONFIGURATION :
1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) -  Kubuntu
2. Lenovo Thinkpad T550 i5 - carte graphique : Intel Corporation (HD Graphics 5500) - Kubuntu LTS
3. Lenovo Thinkpad X230 i5 - carte graphique Intel Corporation - Debian KDE (stable)

Hors ligne

#42 04-04-2019 20:11:19

--gilles--
Membre
Lieu : Orléans - La Source
Distrib. : debian 11
Noyau : Linux 5.10.0-7-amd64
(G)UI : mutter 3.38.4-1
Inscription : 15-02-2016

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

Grosse fatigue aujourd'hui, infection urinaire + lumbago ! Un peu d'humour pour décompenser ! big_smileHisd

Nos vies commencent à prendre fin le jour où nous devenons silencieux à propos des choses qui comptent. Martin Luther King

Hors ligne

#43 04-04-2019 20:21:18

Grompf
Adhérent(e)
Distrib. : Debian Buster Cinnamon
Noyau : Linux 4.19.0-6-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

Aïe ! Bon, ben il faut boire bcp de tisane (ou autre). Et se reposer un peu sans forcément rester immobile.

Sinon, sur les joies des gestionnaires graphiques de logiciels, j'avais repéré ça, il y a quelques semaines (on parle d'Ubuntu et des paquets Snap) : https://forum.ubuntu-fr.org/viewtopic.php?id=2035801

Et je viens de rédiger ça, aussi sur les gestionnaires de logiciels (on parle de la future Ubuntu-Mate... ainsi que des paquets Snap) : https://forum.ubuntu-fr.org/viewtopic.p … #p22077537

Bref, la gestion des logiciels, ça semble vraiment être un souci. Remarquons que jusqu'ici, Linux Mint s'en tire bien. Je trouve leur logithèque facile à utiliser, je n'ai pas constaté de bugs et y'a pas de soucis avec les paquets Flatpak. Jusqu'ici, j'insiste, vu que leur utilitaire de mise à jour semble basé sur Synaptic...

Dernière modification par Grompf (04-04-2019 20:38:12)


CONFIGURATION :
1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) -  Kubuntu
2. Lenovo Thinkpad T550 i5 - carte graphique : Intel Corporation (HD Graphics 5500) - Kubuntu LTS
3. Lenovo Thinkpad X230 i5 - carte graphique Intel Corporation - Debian KDE (stable)

Hors ligne

#44 04-04-2019 21:00:27

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

à gilles lol lol
mais soigne toi bien

Hors ligne

#45 05-04-2019 13:19:20

d33p
Membre
Lieu : Cantal
Distrib. : Debian buster 64bits
Noyau : Linux 4.19.0-8-amd64
(G)UI : GNOME, branches stables
Inscription : 01-12-2015

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

hello,

gilles
consulte un medecin, et sinon, un coup de pouce:
fleur de bruyere.
pygeum.

chalu
dans gnome software je vois des utilitaires, mais pas trouvé, les firmwares etc... comme dans synaptic.


a+
JC

science sans conscience n'est que ruine de l'âme...

Hors ligne

#46 05-04-2019 14:59:53

Grompf
Adhérent(e)
Distrib. : Debian Buster Cinnamon
Noyau : Linux 4.19.0-6-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

d33p a écrit :


dans gnome software je vois des utilitaires, mais pas trouvé, les firmwares etc... comme dans synaptic.


Ben non.

Pour ça, il faut gnome-packageskit ("Paquets"). Gnome Software ("Logiciels"), c'est fait pour installer les applications, sans avoir à raisonner en termes de paquets. Si tu veux regarder paquets par paquets, ça ne va pas.


CONFIGURATION :
1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) -  Kubuntu
2. Lenovo Thinkpad T550 i5 - carte graphique : Intel Corporation (HD Graphics 5500) - Kubuntu LTS
3. Lenovo Thinkpad X230 i5 - carte graphique Intel Corporation - Debian KDE (stable)

Hors ligne

#47 05-04-2019 20:54:23

fiche
Membre
Lieu : Paris
Distrib. : Debian stable Buster
Noyau : Linux 4.19.0-6-686
(G)UI : Xfce
Inscription : 11-07-2016

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

Bonsoir,
Depuis que j'ai découvert Linux (Debian, buntu...), je n'utilise que Synaptic pour les mises à jour, installations, désinstallations de programmes, suppression des paquets devenus inutiles, réparation de paquets cassés. Un vrai couteau suisse.
Je l'installe systématiquement, même sur les "buntu" (Lubuntu, Xubuntu, Ubuntu) et montre comment l'utiliser. Cela va poser problème pour Gnome si j'ai bien compris.
Récemment sur Xubuntu, le logiciel de mise à jour suite à installation indique (même après plusieurs recherches) : aucune mise à jour disponible.
10 secondes plus tard avec Synaptic, il en trouve un grand nombre !
On s'étonne que j'aime bien Synaptic smile
Je sens qu'il va falloir que je propose les commandes apt à lancer dans le Terminal et cela va en effrayer plus d'un.

Hors ligne

#48 05-04-2019 21:18:33

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

@fiche

pour stretch pas de souci et pour buster tu peu récupérer le paquet  "synaptic.deb" de sid et l'installer sur buster .
il fonctionne toujours , juste éviter que l'utilisateur utilise Wayland comme bureau , sous le serveur X il fonctionne parfaitement .(donc pour l'instant seul gnome utilise Wayland comme bureau par défaut )
donc jusqu'a la mort de stretch et celle de buster , tu est tranquille pendant quelques années .

synaptic est complet quand on le connaît bien , la limite c'est celle de ce que peu faire "apt" en console .

Hors ligne

#49 05-04-2019 22:41:48

teutates
Membre
Lieu : Foix (Ariège)
Distrib. : Fedora 31 / Debian 10
Noyau : Linux 4.9.0-9-amd64
(G)UI : Plasma
Inscription : 31-03-2018
Site Web

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

robert2a a écrit :

@fiche

pour stretch pas de souci et pour buster tu peu récupérer le paquet  "synaptic.deb" de sid et l'installer sur buster .
il fonctionne toujours , juste éviter que l'utilisateur utilise Wayland comme bureau , sous le serveur X il fonctionne parfaitement .(donc pour l'instant seul gnome utilise Wayland comme bureau par défaut )
donc jusqu'a la mort de stretch et celle de buster , tu est tranquille pendant quelques années .

synaptic est complet quand on le connaît bien , la limite c'est celle de ce que peu faire "apt" en console .


Bonjour,

Mais tôt ou tard, le besoin se fera sentir cruellement au point de trouver une véritable solution :
* soit forker synaptic en le rendant compatible avec Wayland,
* soit améliorer les solutions existantes sous Gnome et Plasma,
* soit repartir à zéro pour créer une nouvelle solution passe-partout.

Hors ligne

#50 06-04-2019 09:11:28

pas-si-facile
Membre
Lieu : Paris
Distrib. : Debian 9 stable
Noyau : Linux 4.9.0-8-amd64
(G)UI : Xfce
Inscription : 09-01-2019
Site Web

Re : [résolu par les dev] Synaptic fonctionne avec bullseye et Wayland

@--gilles-- : excellent !! big_smile

Hors ligne

Pied de page des forums